<?php
/*
	Section: Author Section
	Author:  Julian
	Description: Shows author bio
	Version: 1.0.0

	Demonstrates how to create a cool site section in 50 lines of code!
	Note: the only other piece to make this work is the 'pagelines_register_section()' function in your functions.php
*/
class BaseAuthor extends PageLinesSection {
   function __construct( $registered_settings = array() ) {

		// BASIC INFO
			/* The name and ID of the section */
			$name = __('Author Section', 'pagelines');
			$id = 'author';

		// SETTINGS

       		$settings = array(
			'description' 	=> 'Displays standard author bio using redirected author.php.',
			'workswith' 	=> array('templates'),
			'failswith'		=> array('404'),

			'icon'			=> PL_ADMIN_ICONS . '/document.png'
		);

		   	parent::__construct($name, $id, $settings);
   }

    function section_template(){
    		get_template_part( 'template.author' );
    }

    function section_styles(){
		pagelines_load_css( get_stylesheet_directory_uri() . '/sections/author/author.css', 'author');
	}


}
